/**
   @version 1.11 2004-08-30
   @author Cay Horstmann
*/

import java.beans.*;

/**
   Niestandardowy edytor właściwości titlePosition ziarnka 
   ChartBean. Umożliwia użytkownikowi wybór wartości
   Left, Center i Right
*/
public class TitlePositionEditor
   extends PropertyEditorSupport
{  
   public String[] getTags() { return options; }
   private String[] options = { "Left", "Center", "Right" };
   public String getJavaInitializationString() { return "" + getValue(); }

   public String getAsText()
   {  
      int value = (Integer) getValue();
      return options[value];
   }

   public void setAsText(String s)
   {  
      for (int i = 0; i < options.length; i++)
      {  
         if (options[i].equals(s))
         {  
            setValue(new Integer(i));
            return;
         }
      }
   }
}

